Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tags
Class ScrollableModelTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.beasys.commerce.ebusiness.tags.ScrollableModelTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class ScrollableModelTag

extends javax.servlet.jsp.tagext.TagSupport

This tag helps with the navigation of a scrollable model by outputting a "Previous | 20-29 | Next" text with the proper hyperlinks based on the attributes of the tag.
Those attributes are:

1. origin: the page from which this tag originates, for use by the WebFlow engine
2. event: the event from a WebFlow engine view
3. prevString: the JSP entered "Previous" in the language of choice
4. nextString: the JSP entered "Next" in the language of choice
5. pageIndex: the index of the page in the scrollable model one views.

The ScrollableModel is obtained from the pipeline session directly.

See Also
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ScrollableModelTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated The tag body: It first extracts the scrollable model using the pipeline session.
`String` | `getEvent()` Deprecated
`javax.servlet.http.HttpSession` | `getHttpSession()` Deprecated Get the Cached HttpSession.
`String` | `getId()` Deprecated Get the value of id.
`String` | `getNextstring()` Deprecated
`String` | `getOrigin()` Deprecated Get the value of origin.
`String` | `getPageindex()` Deprecated
`String` | `getPrevstring()` Deprecated
`void` | `initialize()` Deprecated Get the current HttpSession and piplineSession.
`void` | `release()` Deprecated Release this tag.
`void` | `setEvent(String e)` Deprecated
`void` | `setId(String id)` Deprecated Set the value of id.
`void` | `setNextstring(String nextString)` Deprecated
`void` | `setOrigin(String s)` Deprecated Set the value of origin.
`void` | `setPageindex(String pageIndex)` Deprecated
`void` | `setPrevstring(String prevString)` Deprecated

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableModelTag

    public ScrollableModelTag()

  Deprecated

Method Detail

### release

    public void release()

  Deprecated
  Release this tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Deprecated
  Get the Cached HttpSession. It is initialized using the initialize method which is invoked in the doStartTag().

### initialize

    public void initialize()

  Deprecated
  Get the current HttpSession and piplineSession.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  The tag body:
  It first extracts the scrollable model using the pipeline session. It then decides to show the Next and Previous hyperlinks. It uses the origin/event of the JSP page to create the hyperlinks.
  It finally uses the default JspWriter to output the Previous / 5-9 / Next tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### getId

    public String getId()

  Deprecated
  Get the value of id.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`

### setId

    public void setId(String id)

  Deprecated
  Set the value of id.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`

### getOrigin

    public String getOrigin()

  Deprecated
  Get the value of origin.

### setOrigin

    public void setOrigin(String s)

  Deprecated
  Set the value of origin.

### getEvent

    public String getEvent()

  Deprecated

### setEvent

    public void setEvent(String e)

  Deprecated

### getPageindex

    public String getPageindex()

  Deprecated

### setPageindex

    public void setPageindex(String pageIndex)

  Deprecated

### setPrevstring

    public void setPrevstring(String prevString)

  Deprecated

### getPrevstring

    public String getPrevstring()

  Deprecated

### setNextstring

    public void setNextstring(String nextString)

  Deprecated

### getNextstring

    public String getNextstring()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved